#include <qstring.h>
#include <qwidget.h>
#include <qvbox.h>
#include <qlayout.h>
#include <qpixmap.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>


class DualScreenPage: public QWidget
{
  Q_OBJECT

  public:
    DualScreenPage ( QWidget *parent=0 ) ;

  private slots:
    void OnPrimary ( int id ) ;
    void OnDesktop ( int id ) ;
    void OnActivate ( int nPage ) ;
    void OnApply ( int *Accept ) ;

  private:
    void Init ( ) ;
    void ReadCurrentSettings ( ) ;
    void ArrangeMonitors ( ) ;

    bool          m_Init ;
    bool          m_Changed ;
    int           m_Primary ;
    int           m_Desktop ;
    QButtonGroup *pPrimary ;
    QButtonGroup *pDesktop ;
    QLabel       *pSingle1, *pSingle2, *pDisable, *pLeft, *pRight, *pTop, *pBottom ;

} ;





